package com.mvc.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TServerCfgExample {
    /**
     * t_server_cfg
     */
    protected String orderByClause;

    /**
     * t_server_cfg
     */
    protected boolean distinct;

    /**
     * t_server_cfg
     */
    protected List<Criteria> oredCriteria;

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-22 20:23:37
     */
    public TServerCfgExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-22 20:23:37
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-22 20:23:37
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-22 20:23:37
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-22 20:23:37
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-22 20:23:37
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-22 20:23:37
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-22 20:23:37
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-22 20:23:37
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-22 20:23:37
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-22 20:23:37
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
    * @Description:
    * @Author: guozhao
    * @CreateDate: 2025-07-22 20:23:37
    */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNull() {
            addCriterion("DEVICE_SN is null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNotNull() {
            addCriterion("DEVICE_SN is not null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnEqualTo(String value) {
            addCriterion("DEVICE_SN =", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotEqualTo(String value) {
            addCriterion("DEVICE_SN <>", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThan(String value) {
            addCriterion("DEVICE_SN >", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN >=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThan(String value) {
            addCriterion("DEVICE_SN <", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN <=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLike(String value) {
            addCriterion("DEVICE_SN like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotLike(String value) {
            addCriterion("DEVICE_SN not like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIn(List<String> values) {
            addCriterion("DEVICE_SN in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotIn(List<String> values) {
            addCriterion("DEVICE_SN not in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnBetween(String value1, String value2) {
            addCriterion("DEVICE_SN between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotBetween(String value1, String value2) {
            addCriterion("DEVICE_SN not between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDialTypeIsNull() {
            addCriterion("DIAL_TYPE is null");
            return (Criteria) this;
        }

        public Criteria andDialTypeIsNotNull() {
            addCriterion("DIAL_TYPE is not null");
            return (Criteria) this;
        }

        public Criteria andDialTypeEqualTo(String value) {
            addCriterion("DIAL_TYPE =", value, "dialType");
            return (Criteria) this;
        }

        public Criteria andDialTypeNotEqualTo(String value) {
            addCriterion("DIAL_TYPE <>", value, "dialType");
            return (Criteria) this;
        }

        public Criteria andDialTypeGreaterThan(String value) {
            addCriterion("DIAL_TYPE >", value, "dialType");
            return (Criteria) this;
        }

        public Criteria andDialTypeGreaterThanOrEqualTo(String value) {
            addCriterion("DIAL_TYPE >=", value, "dialType");
            return (Criteria) this;
        }

        public Criteria andDialTypeLessThan(String value) {
            addCriterion("DIAL_TYPE <", value, "dialType");
            return (Criteria) this;
        }

        public Criteria andDialTypeLessThanOrEqualTo(String value) {
            addCriterion("DIAL_TYPE <=", value, "dialType");
            return (Criteria) this;
        }

        public Criteria andDialTypeLike(String value) {
            addCriterion("DIAL_TYPE like", value, "dialType");
            return (Criteria) this;
        }

        public Criteria andDialTypeNotLike(String value) {
            addCriterion("DIAL_TYPE not like", value, "dialType");
            return (Criteria) this;
        }

        public Criteria andDialTypeIn(List<String> values) {
            addCriterion("DIAL_TYPE in", values, "dialType");
            return (Criteria) this;
        }

        public Criteria andDialTypeNotIn(List<String> values) {
            addCriterion("DIAL_TYPE not in", values, "dialType");
            return (Criteria) this;
        }

        public Criteria andDialTypeBetween(String value1, String value2) {
            addCriterion("DIAL_TYPE between", value1, value2, "dialType");
            return (Criteria) this;
        }

        public Criteria andDialTypeNotBetween(String value1, String value2) {
            addCriterion("DIAL_TYPE not between", value1, value2, "dialType");
            return (Criteria) this;
        }

        public Criteria andDigitNumIsNull() {
            addCriterion("DIGIT_NUM is null");
            return (Criteria) this;
        }

        public Criteria andDigitNumIsNotNull() {
            addCriterion("DIGIT_NUM is not null");
            return (Criteria) this;
        }

        public Criteria andDigitNumEqualTo(Integer value) {
            addCriterion("DIGIT_NUM =", value, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumNotEqualTo(Integer value) {
            addCriterion("DIGIT_NUM <>", value, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumGreaterThan(Integer value) {
            addCriterion("DIGIT_NUM >", value, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumGreaterThanOrEqualTo(Integer value) {
            addCriterion("DIGIT_NUM >=", value, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumLessThan(Integer value) {
            addCriterion("DIGIT_NUM <", value, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumLessThanOrEqualTo(Integer value) {
            addCriterion("DIGIT_NUM <=", value, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumIn(List<Integer> values) {
            addCriterion("DIGIT_NUM in", values, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumNotIn(List<Integer> values) {
            addCriterion("DIGIT_NUM not in", values, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumBetween(Integer value1, Integer value2) {
            addCriterion("DIGIT_NUM between", value1, value2, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumNotBetween(Integer value1, Integer value2) {
            addCriterion("DIGIT_NUM not between", value1, value2, "digitNum");
            return (Criteria) this;
        }

        public Criteria andUnitTypeIsNull() {
            addCriterion("UNIT_TYPE is null");
            return (Criteria) this;
        }

        public Criteria andUnitTypeIsNotNull() {
            addCriterion("UNIT_TYPE is not null");
            return (Criteria) this;
        }

        public Criteria andUnitTypeEqualTo(Integer value) {
            addCriterion("UNIT_TYPE =", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeNotEqualTo(Integer value) {
            addCriterion("UNIT_TYPE <>", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeGreaterThan(Integer value) {
            addCriterion("UNIT_TYPE >", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("UNIT_TYPE >=", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeLessThan(Integer value) {
            addCriterion("UNIT_TYPE <", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeLessThanOrEqualTo(Integer value) {
            addCriterion("UNIT_TYPE <=", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeIn(List<Integer> values) {
            addCriterion("UNIT_TYPE in", values, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeNotIn(List<Integer> values) {
            addCriterion("UNIT_TYPE not in", values, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeBetween(Integer value1, Integer value2) {
            addCriterion("UNIT_TYPE between", value1, value2, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("UNIT_TYPE not between", value1, value2, "unitType");
            return (Criteria) this;
        }

        public Criteria andWheelNumIsNull() {
            addCriterion("WHEEL_NUM is null");
            return (Criteria) this;
        }

        public Criteria andWheelNumIsNotNull() {
            addCriterion("WHEEL_NUM is not null");
            return (Criteria) this;
        }

        public Criteria andWheelNumEqualTo(Integer value) {
            addCriterion("WHEEL_NUM =", value, "wheelNum");
            return (Criteria) this;
        }

        public Criteria andWheelNumNotEqualTo(Integer value) {
            addCriterion("WHEEL_NUM <>", value, "wheelNum");
            return (Criteria) this;
        }

        public Criteria andWheelNumGreaterThan(Integer value) {
            addCriterion("WHEEL_NUM >", value, "wheelNum");
            return (Criteria) this;
        }

        public Criteria andWheelNumGreaterThanOrEqualTo(Integer value) {
            addCriterion("WHEEL_NUM >=", value, "wheelNum");
            return (Criteria) this;
        }

        public Criteria andWheelNumLessThan(Integer value) {
            addCriterion("WHEEL_NUM <", value, "wheelNum");
            return (Criteria) this;
        }

        public Criteria andWheelNumLessThanOrEqualTo(Integer value) {
            addCriterion("WHEEL_NUM <=", value, "wheelNum");
            return (Criteria) this;
        }

        public Criteria andWheelNumIn(List<Integer> values) {
            addCriterion("WHEEL_NUM in", values, "wheelNum");
            return (Criteria) this;
        }

        public Criteria andWheelNumNotIn(List<Integer> values) {
            addCriterion("WHEEL_NUM not in", values, "wheelNum");
            return (Criteria) this;
        }

        public Criteria andWheelNumBetween(Integer value1, Integer value2) {
            addCriterion("WHEEL_NUM between", value1, value2, "wheelNum");
            return (Criteria) this;
        }

        public Criteria andWheelNumNotBetween(Integer value1, Integer value2) {
            addCriterion("WHEEL_NUM not between", value1, value2, "wheelNum");
            return (Criteria) this;
        }

        public Criteria andDnTypeIsNull() {
            addCriterion("DN_TYPE is null");
            return (Criteria) this;
        }

        public Criteria andDnTypeIsNotNull() {
            addCriterion("DN_TYPE is not null");
            return (Criteria) this;
        }

        public Criteria andDnTypeEqualTo(Integer value) {
            addCriterion("DN_TYPE =", value, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeNotEqualTo(Integer value) {
            addCriterion("DN_TYPE <>", value, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeGreaterThan(Integer value) {
            addCriterion("DN_TYPE >", value, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("DN_TYPE >=", value, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeLessThan(Integer value) {
            addCriterion("DN_TYPE <", value, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeLessThanOrEqualTo(Integer value) {
            addCriterion("DN_TYPE <=", value, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeIn(List<Integer> values) {
            addCriterion("DN_TYPE in", values, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeNotIn(List<Integer> values) {
            addCriterion("DN_TYPE not in", values, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeBetween(Integer value1, Integer value2) {
            addCriterion("DN_TYPE between", value1, value2, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("DN_TYPE not between", value1, value2, "dnType");
            return (Criteria) this;
        }

        public Criteria andLastValIsNull() {
            addCriterion("LAST_VAL is null");
            return (Criteria) this;
        }

        public Criteria andLastValIsNotNull() {
            addCriterion("LAST_VAL is not null");
            return (Criteria) this;
        }

        public Criteria andLastValEqualTo(Double value) {
            addCriterion("LAST_VAL =", value, "lastVal");
            return (Criteria) this;
        }

        public Criteria andLastValNotEqualTo(Double value) {
            addCriterion("LAST_VAL <>", value, "lastVal");
            return (Criteria) this;
        }

        public Criteria andLastValGreaterThan(Double value) {
            addCriterion("LAST_VAL >", value, "lastVal");
            return (Criteria) this;
        }

        public Criteria andLastValGreaterThanOrEqualTo(Double value) {
            addCriterion("LAST_VAL >=", value, "lastVal");
            return (Criteria) this;
        }

        public Criteria andLastValLessThan(Double value) {
            addCriterion("LAST_VAL <", value, "lastVal");
            return (Criteria) this;
        }

        public Criteria andLastValLessThanOrEqualTo(Double value) {
            addCriterion("LAST_VAL <=", value, "lastVal");
            return (Criteria) this;
        }

        public Criteria andLastValIn(List<Double> values) {
            addCriterion("LAST_VAL in", values, "lastVal");
            return (Criteria) this;
        }

        public Criteria andLastValNotIn(List<Double> values) {
            addCriterion("LAST_VAL not in", values, "lastVal");
            return (Criteria) this;
        }

        public Criteria andLastValBetween(Double value1, Double value2) {
            addCriterion("LAST_VAL between", value1, value2, "lastVal");
            return (Criteria) this;
        }

        public Criteria andLastValNotBetween(Double value1, Double value2) {
            addCriterion("LAST_VAL not between", value1, value2, "lastVal");
            return (Criteria) this;
        }

        public Criteria andLastValTimeIsNull() {
            addCriterion("LAST_VAL_TIME is null");
            return (Criteria) this;
        }

        public Criteria andLastValTimeIsNotNull() {
            addCriterion("LAST_VAL_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andLastValTimeEqualTo(Date value) {
            addCriterion("LAST_VAL_TIME =", value, "lastValTime");
            return (Criteria) this;
        }

        public Criteria andLastValTimeNotEqualTo(Date value) {
            addCriterion("LAST_VAL_TIME <>", value, "lastValTime");
            return (Criteria) this;
        }

        public Criteria andLastValTimeGreaterThan(Date value) {
            addCriterion("LAST_VAL_TIME >", value, "lastValTime");
            return (Criteria) this;
        }

        public Criteria andLastValTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("LAST_VAL_TIME >=", value, "lastValTime");
            return (Criteria) this;
        }

        public Criteria andLastValTimeLessThan(Date value) {
            addCriterion("LAST_VAL_TIME <", value, "lastValTime");
            return (Criteria) this;
        }

        public Criteria andLastValTimeLessThanOrEqualTo(Date value) {
            addCriterion("LAST_VAL_TIME <=", value, "lastValTime");
            return (Criteria) this;
        }

        public Criteria andLastValTimeIn(List<Date> values) {
            addCriterion("LAST_VAL_TIME in", values, "lastValTime");
            return (Criteria) this;
        }

        public Criteria andLastValTimeNotIn(List<Date> values) {
            addCriterion("LAST_VAL_TIME not in", values, "lastValTime");
            return (Criteria) this;
        }

        public Criteria andLastValTimeBetween(Date value1, Date value2) {
            addCriterion("LAST_VAL_TIME between", value1, value2, "lastValTime");
            return (Criteria) this;
        }

        public Criteria andLastValTimeNotBetween(Date value1, Date value2) {
            addCriterion("LAST_VAL_TIME not between", value1, value2, "lastValTime");
            return (Criteria) this;
        }

        public Criteria andDialAreaCoordinatesIsNull() {
            addCriterion("DIAL_AREA_COORDINATES is null");
            return (Criteria) this;
        }

        public Criteria andDialAreaCoordinatesIsNotNull() {
            addCriterion("DIAL_AREA_COORDINATES is not null");
            return (Criteria) this;
        }

        public Criteria andDialAreaCoordinatesEqualTo(String value) {
            addCriterion("DIAL_AREA_COORDINATES =", value, "dialAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andDialAreaCoordinatesNotEqualTo(String value) {
            addCriterion("DIAL_AREA_COORDINATES <>", value, "dialAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andDialAreaCoordinatesGreaterThan(String value) {
            addCriterion("DIAL_AREA_COORDINATES >", value, "dialAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andDialAreaCoordinatesGreaterThanOrEqualTo(String value) {
            addCriterion("DIAL_AREA_COORDINATES >=", value, "dialAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andDialAreaCoordinatesLessThan(String value) {
            addCriterion("DIAL_AREA_COORDINATES <", value, "dialAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andDialAreaCoordinatesLessThanOrEqualTo(String value) {
            addCriterion("DIAL_AREA_COORDINATES <=", value, "dialAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andDialAreaCoordinatesLike(String value) {
            addCriterion("DIAL_AREA_COORDINATES like", value, "dialAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andDialAreaCoordinatesNotLike(String value) {
            addCriterion("DIAL_AREA_COORDINATES not like", value, "dialAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andDialAreaCoordinatesIn(List<String> values) {
            addCriterion("DIAL_AREA_COORDINATES in", values, "dialAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andDialAreaCoordinatesNotIn(List<String> values) {
            addCriterion("DIAL_AREA_COORDINATES not in", values, "dialAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andDialAreaCoordinatesBetween(String value1, String value2) {
            addCriterion("DIAL_AREA_COORDINATES between", value1, value2, "dialAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andDialAreaCoordinatesNotBetween(String value1, String value2) {
            addCriterion("DIAL_AREA_COORDINATES not between", value1, value2, "dialAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andDigitAreaCoordinatesIsNull() {
            addCriterion("DIGIT_AREA_COORDINATES is null");
            return (Criteria) this;
        }

        public Criteria andDigitAreaCoordinatesIsNotNull() {
            addCriterion("DIGIT_AREA_COORDINATES is not null");
            return (Criteria) this;
        }

        public Criteria andDigitAreaCoordinatesEqualTo(String value) {
            addCriterion("DIGIT_AREA_COORDINATES =", value, "digitAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andDigitAreaCoordinatesNotEqualTo(String value) {
            addCriterion("DIGIT_AREA_COORDINATES <>", value, "digitAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andDigitAreaCoordinatesGreaterThan(String value) {
            addCriterion("DIGIT_AREA_COORDINATES >", value, "digitAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andDigitAreaCoordinatesGreaterThanOrEqualTo(String value) {
            addCriterion("DIGIT_AREA_COORDINATES >=", value, "digitAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andDigitAreaCoordinatesLessThan(String value) {
            addCriterion("DIGIT_AREA_COORDINATES <", value, "digitAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andDigitAreaCoordinatesLessThanOrEqualTo(String value) {
            addCriterion("DIGIT_AREA_COORDINATES <=", value, "digitAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andDigitAreaCoordinatesLike(String value) {
            addCriterion("DIGIT_AREA_COORDINATES like", value, "digitAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andDigitAreaCoordinatesNotLike(String value) {
            addCriterion("DIGIT_AREA_COORDINATES not like", value, "digitAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andDigitAreaCoordinatesIn(List<String> values) {
            addCriterion("DIGIT_AREA_COORDINATES in", values, "digitAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andDigitAreaCoordinatesNotIn(List<String> values) {
            addCriterion("DIGIT_AREA_COORDINATES not in", values, "digitAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andDigitAreaCoordinatesBetween(String value1, String value2) {
            addCriterion("DIGIT_AREA_COORDINATES between", value1, value2, "digitAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andDigitAreaCoordinatesNotBetween(String value1, String value2) {
            addCriterion("DIGIT_AREA_COORDINATES not between", value1, value2, "digitAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andStartEndPointerCoordinatesIsNull() {
            addCriterion("START_END_POINTER_COORDINATES is null");
            return (Criteria) this;
        }

        public Criteria andStartEndPointerCoordinatesIsNotNull() {
            addCriterion("START_END_POINTER_COORDINATES is not null");
            return (Criteria) this;
        }

        public Criteria andStartEndPointerCoordinatesEqualTo(String value) {
            addCriterion("START_END_POINTER_COORDINATES =", value, "startEndPointerCoordinates");
            return (Criteria) this;
        }

        public Criteria andStartEndPointerCoordinatesNotEqualTo(String value) {
            addCriterion("START_END_POINTER_COORDINATES <>", value, "startEndPointerCoordinates");
            return (Criteria) this;
        }

        public Criteria andStartEndPointerCoordinatesGreaterThan(String value) {
            addCriterion("START_END_POINTER_COORDINATES >", value, "startEndPointerCoordinates");
            return (Criteria) this;
        }

        public Criteria andStartEndPointerCoordinatesGreaterThanOrEqualTo(String value) {
            addCriterion("START_END_POINTER_COORDINATES >=", value, "startEndPointerCoordinates");
            return (Criteria) this;
        }

        public Criteria andStartEndPointerCoordinatesLessThan(String value) {
            addCriterion("START_END_POINTER_COORDINATES <", value, "startEndPointerCoordinates");
            return (Criteria) this;
        }

        public Criteria andStartEndPointerCoordinatesLessThanOrEqualTo(String value) {
            addCriterion("START_END_POINTER_COORDINATES <=", value, "startEndPointerCoordinates");
            return (Criteria) this;
        }

        public Criteria andStartEndPointerCoordinatesLike(String value) {
            addCriterion("START_END_POINTER_COORDINATES like", value, "startEndPointerCoordinates");
            return (Criteria) this;
        }

        public Criteria andStartEndPointerCoordinatesNotLike(String value) {
            addCriterion("START_END_POINTER_COORDINATES not like", value, "startEndPointerCoordinates");
            return (Criteria) this;
        }

        public Criteria andStartEndPointerCoordinatesIn(List<String> values) {
            addCriterion("START_END_POINTER_COORDINATES in", values, "startEndPointerCoordinates");
            return (Criteria) this;
        }

        public Criteria andStartEndPointerCoordinatesNotIn(List<String> values) {
            addCriterion("START_END_POINTER_COORDINATES not in", values, "startEndPointerCoordinates");
            return (Criteria) this;
        }

        public Criteria andStartEndPointerCoordinatesBetween(String value1, String value2) {
            addCriterion("START_END_POINTER_COORDINATES between", value1, value2, "startEndPointerCoordinates");
            return (Criteria) this;
        }

        public Criteria andStartEndPointerCoordinatesNotBetween(String value1, String value2) {
            addCriterion("START_END_POINTER_COORDINATES not between", value1, value2, "startEndPointerCoordinates");
            return (Criteria) this;
        }

        public Criteria andImageBrightnessIsNull() {
            addCriterion("IMAGE_BRIGHTNESS is null");
            return (Criteria) this;
        }

        public Criteria andImageBrightnessIsNotNull() {
            addCriterion("IMAGE_BRIGHTNESS is not null");
            return (Criteria) this;
        }

        public Criteria andImageBrightnessEqualTo(Double value) {
            addCriterion("IMAGE_BRIGHTNESS =", value, "imageBrightness");
            return (Criteria) this;
        }

        public Criteria andImageBrightnessNotEqualTo(Double value) {
            addCriterion("IMAGE_BRIGHTNESS <>", value, "imageBrightness");
            return (Criteria) this;
        }

        public Criteria andImageBrightnessGreaterThan(Double value) {
            addCriterion("IMAGE_BRIGHTNESS >", value, "imageBrightness");
            return (Criteria) this;
        }

        public Criteria andImageBrightnessGreaterThanOrEqualTo(Double value) {
            addCriterion("IMAGE_BRIGHTNESS >=", value, "imageBrightness");
            return (Criteria) this;
        }

        public Criteria andImageBrightnessLessThan(Double value) {
            addCriterion("IMAGE_BRIGHTNESS <", value, "imageBrightness");
            return (Criteria) this;
        }

        public Criteria andImageBrightnessLessThanOrEqualTo(Double value) {
            addCriterion("IMAGE_BRIGHTNESS <=", value, "imageBrightness");
            return (Criteria) this;
        }

        public Criteria andImageBrightnessIn(List<Double> values) {
            addCriterion("IMAGE_BRIGHTNESS in", values, "imageBrightness");
            return (Criteria) this;
        }

        public Criteria andImageBrightnessNotIn(List<Double> values) {
            addCriterion("IMAGE_BRIGHTNESS not in", values, "imageBrightness");
            return (Criteria) this;
        }

        public Criteria andImageBrightnessBetween(Double value1, Double value2) {
            addCriterion("IMAGE_BRIGHTNESS between", value1, value2, "imageBrightness");
            return (Criteria) this;
        }

        public Criteria andImageBrightnessNotBetween(Double value1, Double value2) {
            addCriterion("IMAGE_BRIGHTNESS not between", value1, value2, "imageBrightness");
            return (Criteria) this;
        }

        public Criteria andEnableAiImageProcessIsNull() {
            addCriterion("ENABLE_AI_IMAGE_PROCESS is null");
            return (Criteria) this;
        }

        public Criteria andEnableAiImageProcessIsNotNull() {
            addCriterion("ENABLE_AI_IMAGE_PROCESS is not null");
            return (Criteria) this;
        }

        public Criteria andEnableAiImageProcessEqualTo(String value) {
            addCriterion("ENABLE_AI_IMAGE_PROCESS =", value, "enableAiImageProcess");
            return (Criteria) this;
        }

        public Criteria andEnableAiImageProcessNotEqualTo(String value) {
            addCriterion("ENABLE_AI_IMAGE_PROCESS <>", value, "enableAiImageProcess");
            return (Criteria) this;
        }

        public Criteria andEnableAiImageProcessGreaterThan(String value) {
            addCriterion("ENABLE_AI_IMAGE_PROCESS >", value, "enableAiImageProcess");
            return (Criteria) this;
        }

        public Criteria andEnableAiImageProcessGreaterThanOrEqualTo(String value) {
            addCriterion("ENABLE_AI_IMAGE_PROCESS >=", value, "enableAiImageProcess");
            return (Criteria) this;
        }

        public Criteria andEnableAiImageProcessLessThan(String value) {
            addCriterion("ENABLE_AI_IMAGE_PROCESS <", value, "enableAiImageProcess");
            return (Criteria) this;
        }

        public Criteria andEnableAiImageProcessLessThanOrEqualTo(String value) {
            addCriterion("ENABLE_AI_IMAGE_PROCESS <=", value, "enableAiImageProcess");
            return (Criteria) this;
        }

        public Criteria andEnableAiImageProcessLike(String value) {
            addCriterion("ENABLE_AI_IMAGE_PROCESS like", value, "enableAiImageProcess");
            return (Criteria) this;
        }

        public Criteria andEnableAiImageProcessNotLike(String value) {
            addCriterion("ENABLE_AI_IMAGE_PROCESS not like", value, "enableAiImageProcess");
            return (Criteria) this;
        }

        public Criteria andEnableAiImageProcessIn(List<String> values) {
            addCriterion("ENABLE_AI_IMAGE_PROCESS in", values, "enableAiImageProcess");
            return (Criteria) this;
        }

        public Criteria andEnableAiImageProcessNotIn(List<String> values) {
            addCriterion("ENABLE_AI_IMAGE_PROCESS not in", values, "enableAiImageProcess");
            return (Criteria) this;
        }

        public Criteria andEnableAiImageProcessBetween(String value1, String value2) {
            addCriterion("ENABLE_AI_IMAGE_PROCESS between", value1, value2, "enableAiImageProcess");
            return (Criteria) this;
        }

        public Criteria andEnableAiImageProcessNotBetween(String value1, String value2) {
            addCriterion("ENABLE_AI_IMAGE_PROCESS not between", value1, value2, "enableAiImageProcess");
            return (Criteria) this;
        }

        public Criteria andIsUploadRedPointerIsNull() {
            addCriterion("IS_UPLOAD_RED_POINTER is null");
            return (Criteria) this;
        }

        public Criteria andIsUploadRedPointerIsNotNull() {
            addCriterion("IS_UPLOAD_RED_POINTER is not null");
            return (Criteria) this;
        }

        public Criteria andIsUploadRedPointerEqualTo(String value) {
            addCriterion("IS_UPLOAD_RED_POINTER =", value, "isUploadRedPointer");
            return (Criteria) this;
        }

        public Criteria andIsUploadRedPointerNotEqualTo(String value) {
            addCriterion("IS_UPLOAD_RED_POINTER <>", value, "isUploadRedPointer");
            return (Criteria) this;
        }

        public Criteria andIsUploadRedPointerGreaterThan(String value) {
            addCriterion("IS_UPLOAD_RED_POINTER >", value, "isUploadRedPointer");
            return (Criteria) this;
        }

        public Criteria andIsUploadRedPointerGreaterThanOrEqualTo(String value) {
            addCriterion("IS_UPLOAD_RED_POINTER >=", value, "isUploadRedPointer");
            return (Criteria) this;
        }

        public Criteria andIsUploadRedPointerLessThan(String value) {
            addCriterion("IS_UPLOAD_RED_POINTER <", value, "isUploadRedPointer");
            return (Criteria) this;
        }

        public Criteria andIsUploadRedPointerLessThanOrEqualTo(String value) {
            addCriterion("IS_UPLOAD_RED_POINTER <=", value, "isUploadRedPointer");
            return (Criteria) this;
        }

        public Criteria andIsUploadRedPointerLike(String value) {
            addCriterion("IS_UPLOAD_RED_POINTER like", value, "isUploadRedPointer");
            return (Criteria) this;
        }

        public Criteria andIsUploadRedPointerNotLike(String value) {
            addCriterion("IS_UPLOAD_RED_POINTER not like", value, "isUploadRedPointer");
            return (Criteria) this;
        }

        public Criteria andIsUploadRedPointerIn(List<String> values) {
            addCriterion("IS_UPLOAD_RED_POINTER in", values, "isUploadRedPointer");
            return (Criteria) this;
        }

        public Criteria andIsUploadRedPointerNotIn(List<String> values) {
            addCriterion("IS_UPLOAD_RED_POINTER not in", values, "isUploadRedPointer");
            return (Criteria) this;
        }

        public Criteria andIsUploadRedPointerBetween(String value1, String value2) {
            addCriterion("IS_UPLOAD_RED_POINTER between", value1, value2, "isUploadRedPointer");
            return (Criteria) this;
        }

        public Criteria andIsUploadRedPointerNotBetween(String value1, String value2) {
            addCriterion("IS_UPLOAD_RED_POINTER not between", value1, value2, "isUploadRedPointer");
            return (Criteria) this;
        }

        public Criteria andOperationStatusIsNull() {
            addCriterion("OPERATION_STATUS is null");
            return (Criteria) this;
        }

        public Criteria andOperationStatusIsNotNull() {
            addCriterion("OPERATION_STATUS is not null");
            return (Criteria) this;
        }

        public Criteria andOperationStatusEqualTo(String value) {
            addCriterion("OPERATION_STATUS =", value, "operationStatus");
            return (Criteria) this;
        }

        public Criteria andOperationStatusNotEqualTo(String value) {
            addCriterion("OPERATION_STATUS <>", value, "operationStatus");
            return (Criteria) this;
        }

        public Criteria andOperationStatusGreaterThan(String value) {
            addCriterion("OPERATION_STATUS >", value, "operationStatus");
            return (Criteria) this;
        }

        public Criteria andOperationStatusGreaterThanOrEqualTo(String value) {
            addCriterion("OPERATION_STATUS >=", value, "operationStatus");
            return (Criteria) this;
        }

        public Criteria andOperationStatusLessThan(String value) {
            addCriterion("OPERATION_STATUS <", value, "operationStatus");
            return (Criteria) this;
        }

        public Criteria andOperationStatusLessThanOrEqualTo(String value) {
            addCriterion("OPERATION_STATUS <=", value, "operationStatus");
            return (Criteria) this;
        }

        public Criteria andOperationStatusLike(String value) {
            addCriterion("OPERATION_STATUS like", value, "operationStatus");
            return (Criteria) this;
        }

        public Criteria andOperationStatusNotLike(String value) {
            addCriterion("OPERATION_STATUS not like", value, "operationStatus");
            return (Criteria) this;
        }

        public Criteria andOperationStatusIn(List<String> values) {
            addCriterion("OPERATION_STATUS in", values, "operationStatus");
            return (Criteria) this;
        }

        public Criteria andOperationStatusNotIn(List<String> values) {
            addCriterion("OPERATION_STATUS not in", values, "operationStatus");
            return (Criteria) this;
        }

        public Criteria andOperationStatusBetween(String value1, String value2) {
            addCriterion("OPERATION_STATUS between", value1, value2, "operationStatus");
            return (Criteria) this;
        }

        public Criteria andOperationStatusNotBetween(String value1, String value2) {
            addCriterion("OPERATION_STATUS not between", value1, value2, "operationStatus");
            return (Criteria) this;
        }

        public Criteria andCreateManIsNull() {
            addCriterion("CREATE_MAN is null");
            return (Criteria) this;
        }

        public Criteria andCreateManIsNotNull() {
            addCriterion("CREATE_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andCreateManEqualTo(String value) {
            addCriterion("CREATE_MAN =", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotEqualTo(String value) {
            addCriterion("CREATE_MAN <>", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManGreaterThan(String value) {
            addCriterion("CREATE_MAN >", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManGreaterThanOrEqualTo(String value) {
            addCriterion("CREATE_MAN >=", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLessThan(String value) {
            addCriterion("CREATE_MAN <", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLessThanOrEqualTo(String value) {
            addCriterion("CREATE_MAN <=", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLike(String value) {
            addCriterion("CREATE_MAN like", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotLike(String value) {
            addCriterion("CREATE_MAN not like", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManIn(List<String> values) {
            addCriterion("CREATE_MAN in", values, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotIn(List<String> values) {
            addCriterion("CREATE_MAN not in", values, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManBetween(String value1, String value2) {
            addCriterion("CREATE_MAN between", value1, value2, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotBetween(String value1, String value2) {
            addCriterion("CREATE_MAN not between", value1, value2, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("CREATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("CREATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("CREATE_TIME =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("CREATE_TIME <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("CREATE_TIME >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("CREATE_TIME <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("CREATE_TIME in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("CREATE_TIME not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUseFlagIsNull() {
            addCriterion("USE_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andUseFlagIsNotNull() {
            addCriterion("USE_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andUseFlagEqualTo(String value) {
            addCriterion("USE_FLAG =", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagNotEqualTo(String value) {
            addCriterion("USE_FLAG <>", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagGreaterThan(String value) {
            addCriterion("USE_FLAG >", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagGreaterThanOrEqualTo(String value) {
            addCriterion("USE_FLAG >=", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagLessThan(String value) {
            addCriterion("USE_FLAG <", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagLessThanOrEqualTo(String value) {
            addCriterion("USE_FLAG <=", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagLike(String value) {
            addCriterion("USE_FLAG like", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagNotLike(String value) {
            addCriterion("USE_FLAG not like", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagIn(List<String> values) {
            addCriterion("USE_FLAG in", values, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagNotIn(List<String> values) {
            addCriterion("USE_FLAG not in", values, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagBetween(String value1, String value2) {
            addCriterion("USE_FLAG between", value1, value2, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagNotBetween(String value1, String value2) {
            addCriterion("USE_FLAG not between", value1, value2, "useFlag");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLikeInsensitive(String value) {
            addCriterion("upper(DEVICE_SN) like", value.toUpperCase(), "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDialTypeLikeInsensitive(String value) {
            addCriterion("upper(DIAL_TYPE) like", value.toUpperCase(), "dialType");
            return (Criteria) this;
        }

        public Criteria andDialAreaCoordinatesLikeInsensitive(String value) {
            addCriterion("upper(DIAL_AREA_COORDINATES) like", value.toUpperCase(), "dialAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andDigitAreaCoordinatesLikeInsensitive(String value) {
            addCriterion("upper(DIGIT_AREA_COORDINATES) like", value.toUpperCase(), "digitAreaCoordinates");
            return (Criteria) this;
        }

        public Criteria andStartEndPointerCoordinatesLikeInsensitive(String value) {
            addCriterion("upper(START_END_POINTER_COORDINATES) like", value.toUpperCase(), "startEndPointerCoordinates");
            return (Criteria) this;
        }

        public Criteria andEnableAiImageProcessLikeInsensitive(String value) {
            addCriterion("upper(ENABLE_AI_IMAGE_PROCESS) like", value.toUpperCase(), "enableAiImageProcess");
            return (Criteria) this;
        }

        public Criteria andIsUploadRedPointerLikeInsensitive(String value) {
            addCriterion("upper(IS_UPLOAD_RED_POINTER) like", value.toUpperCase(), "isUploadRedPointer");
            return (Criteria) this;
        }

        public Criteria andOperationStatusLikeInsensitive(String value) {
            addCriterion("upper(OPERATION_STATUS) like", value.toUpperCase(), "operationStatus");
            return (Criteria) this;
        }

        public Criteria andCreateManLikeInsensitive(String value) {
            addCriterion("upper(CREATE_MAN) like", value.toUpperCase(), "createMan");
            return (Criteria) this;
        }

        public Criteria andUseFlagLikeInsensitive(String value) {
            addCriterion("upper(USE_FLAG) like", value.toUpperCase(), "useFlag");
            return (Criteria) this;
        }
    }

    /**
    * @Description:
    * @Author: guozhao
    * @CreateDate: 2025-07-22 20:23:37
    */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
    * @Description:
    * @Author: guozhao
    * @CreateDate: 2025-07-22 20:23:37
    */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}